<?php
  function Test_User(&$lg_user,&$lg_password)
  {
    $query = "SELECT * FROM users WHERE Nom=:nom";
    $statement = Connection::getStatement($query);
    $statement->bindParam(":nom", $lg_user);
    $statement->execute();
    $users = $statement->fetchAll();

    if(count($users) == 0) {
      return false; // no user found
    }

    if(count($users) > 1) {
      throw new Exception("Too many users");
    }

    $ligne = $users[0];

    if (strcmp($ligne['Password'],md5($lg_password))==0)
    {
      $GLOBALS['lg_NoGroupeUsers']=$ligne['NoGroupeUsers'];
      $GLOBALS['lg_admin']=$ligne['Admin'];
      $GLOBALS['lg_menu1']=$ligne['Menu1'];
      $GLOBALS['lg_menu2']=$ligne['Menu2'];
      $GLOBALS['lg_menu3'] = $ligne['Menu3'];
      $GLOBALS['lg_menu4'] = $ligne['Menu4'];
      $GLOBALS['lg_menu5'] = $ligne['Menu5'];
      $GLOBALS['lg_menu6'] = $ligne['Menu6'];
      $GLOBALS['lg_banque'] = $ligne['Banque'];
      $_SESSION['lg_NoGroupeUsers'] = $ligne['NoGroupeUsers'];
      $_SESSION['lg_admin'] = $ligne['Admin'];
      $_SESSION['lg_menu1'] = $ligne['Menu1'];
      $_SESSION['lg_menu2'] = $ligne['Menu2'];
      $_SESSION['lg_menu3'] = $ligne['Menu3'];
      $_SESSION['lg_menu4'] = $ligne['Menu4'];
      $_SESSION['lg_menu5'] = $ligne['Menu5'];
      $_SESSION['lg_menu6'] = $ligne['Menu6'];
      $_SESSION['lg_banque'] = $ligne['Banque'];
      return True;
    }
    return False;
  }
  
  function As_Right_Groupe($NoGroupe)
  {
    if($ligne=GroupeUsersFonction::getByNoGroupUserAndNoGroup($_SESSION['lg_NoGroupeUsers'], $NoGroupe))
    {
      return true;
    }
    return false;
  }
  
  function As_Right_Fonction($NoGroupe, $NoFonction)
  {
    if($ligne=GroupeUsersFonction::getByNoGroupUserAndNoGroupAndNoFonction($_SESSION['lg_NoGroupeUsers'], $NoGroupe, $NoFonction))
    {
      return true;
    }
    return false;
  }
  
  function Menu_Fonction($NoGroupe, $NoFonction)
  {
    if($ligne=GroupeUsersFonction::getByNoGroupUserAndNoGroupAndNoFonction($_SESSION['lg_NoGroupeUsers'], $NoGroupe, $NoFonction))
    {
      if($ligne2=Fonction::getByNoGroupAndNoFonction($NoGroupe, $NoFonction))
      {
        $tab_desc = explode(" - ",$ligne2["Description"]);
        $desc = $tab_desc[count($tab_desc)-1];
        if($ligne2["Extra"])
        {
          echo 'aI("text='.$desc.';align=center;clickfunction=set_default_plus('.$ligne2["Type"].','.$ligne2["Sous_Type"].',' . "'" . $ligne2["Extra"] . "'" . ');");' . "\n";
        }
        else
        {
          echo 'aI("text='.$desc.';align=center;clickfunction=set_default('.$ligne2["Type"].','.$ligne2["Sous_Type"].');");' . "\n";
        }
      }
    }
  }
  
  function Menu_Fonction_CSS($NoGroupe, $NoFonction)
  {
   if($ligne=GroupeUsersFonction::getByNoGroupUserAndNoGroupAndNoFonction($_SESSION['lg_NoGroupeUsers'], $NoGroupe, $NoFonction))
    {
      if($ligne2=Fonction::getByNoGroupAndNoFonction($NoGroupe, $NoFonction))
      {
        $tab_desc = explode(" - ",$ligne2["Description"]);
        $desc = $tab_desc[count($tab_desc)-1];
        if($ligne2["Extra"])
        {
		  echo "<li><a href=\"javascript:set_default_plus(".$ligne2["Type"].",".$ligne2["Sous_Type"]."," . "'" . $ligne2["Extra"] . "'" . ");\">".$desc."</a></li>\n";
          //echo 'aI("text='.$desc.';align=center;clickfunction=set_default_plus('.$ligne2["Type"].','.$ligne2["Sous_Type"].',' . "'" . $ligne2["Extra"] . "'" . ');");' . "\n";
        }
        else
        {
		  echo "<li><a href=\"javascript:set_default(".$ligne2["Type"].",".$ligne2["Sous_Type"].");\">".$desc."</a></li>\n";
          //echo 'aI("text='.$desc.';align=center;clickfunction=set_default('.$ligne2["Type"].','.$ligne2["Sous_Type"].');");' . "\n";
        }
      }
    }	
  }
  
  function Is_Admin()
  {
    if($ligne=GroupeUsers::getByNoGroupUser($_SESSION['lg_NoGroupeUsers']))
    {
      if($ligne["Admin"]==1)
      {
        return true;
      }
    }
    return false;    
  }

  function Is_Banque()
  {
    if($ligne=GroupeUsers::getByNoGroupUser($_SESSION['lg_NoGroupeUsers']))
    {
      if($ligne["Banque"]==1)
      {
        return true;
      }
    }
    return false;    
  }

?>